%define name         kreetingkard
%define version      0.5.0
%define release      %mkrel 1
%define summary      KreetingKard is a tool for making greeting cards


Name:               %name
Version:            %version
Release:            %release
Summary:            %summary 
Source0:            http://keihanna.dl.sourceforge.jp/%{name}/12276/%{name}-%{version}.tar.gz
Source10:           kreetingkard-16.png
Source11:           kreetingkard-32.png
Source12:           kreetingkard-48.png

Group:              Office
License:            GPL
Url:                http://linux-life.net/program/cc/kde/app/kreetingkard/
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:      qt3-devel
BuildRequires:      kdelibs-devel

%description

KreetingKard is a tool for making greeting cards. 
It allows you to make greeting cards easily by 
choosing a template and changing the words.

%prep
%setup -q -n %{name}


%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x --disable-rpath

%make

%install

rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

rm -rf %{buildroot}/%_iconsdir/*
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%{name}.png


mkdir -p %{buildroot}/%{_menudir}


#Menu
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%name): needs="x11" \
section="Office/Drawing" \
title="Kreetingkard" longtitle="%{summary}" command="kreetingkard" icon="%{name}.png"
EOF
#

perl -pi -e 's/\015$//' %buildroot/%{_datadir}/mimelnk/application/x-kreetingkard.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)

%{_bindir}/kreetingkard

%{_menudir}/%{name}

%{_datadir}/applnk/Utilities/kreetingkard.desktop
%{_datadir}/apps/kreetingkard/images/splash.png
%{_datadir}/apps/kreetingkard/kreetingkardui.rc
%{_datadir}/apps/kreetingkard/templates/Christmas_Blue.kk
%{_datadir}/apps/kreetingkard/templates/Christmas_Brown.kk
%{_datadir}/apps/kreetingkard/templates/Nenga_Empty_Landscape.kk
%{_datadir}/apps/kreetingkard/templates/Nenga_Empty_Portrait.kk
%{_datadir}/apps/kreetingkard/templates/Nenga_Simple_Landscape.kk
%{_datadir}/apps/kreetingkard/templates/Nenga_Simple_Portrait.kk

%{_datadir}/doc/HTML/en/kreetingkard/common
%{_datadir}/doc/HTML/en/kreetingkard/index.cache.bz2
%{_datadir}/doc/HTML/en/kreetingkard/index.docbook

%{_datadir}/locale/ja/LC_MESSAGES/kreetingkard.mo
%{_datadir}/mimelnk/application/x-kreetingkard.desktop

#%{_iconsdir}/hicolor/16x16/apps/kreetingkard.png
#%{_iconsdir}/hicolor/32x32/apps/kreetingkard.png

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%Changelog

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- First Mandriva release
